FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::BoxProcType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::BoxProcType:

## Public Member Functions
mlir::Type | getEleTy () const

## Static Public Member Functions
static BoxProcType | get (mlir::Type eleTy)
static bool | kindof (unsigned kind)
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, mlir::Type eleTy)

## Detailed Description

The type of a pair that describes a PROCEDURE reference. Pointers to internal procedures must carry an additional reference to the host's variables that are referenced.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp